Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009985Dwarf FortressTechnical -- Generalpublic2016-08-30 11:332018-04-05 11:24
ReporterPastah 
Assigned ToToady One 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindows 7 64-bitOSWindowsOS Version7 64-bit
Product Version0.43.03 
Target VersionFixed in Version0.44.10 
Summary0009985: FATAL ERROR - Nemesis Unit Load Failed
DescriptionIf I just let the game run on its own without doing anything, the crash happens. I am using DFHack and Dwarf Therapist.

A link to my entire game folder with the mods and save.
https://www.dropbox.com/s/z9ay3cdpgyw1c3a/Dwarf%20Fortress.rar?dl=0 [^]
Steps To ReproduceLet the game run 5-10 minutes, the crash should occur on its own.
Additional InformationI am using DFHack and Dwarf Therapist.
Tagscrash, fatal
Attached Files

- Relationships
has duplicate 0001371resolvedDwarfu "Nemesis Unit Load Failed" (from elves?) 

-  Notes
(0035822)
Pastah (reporter)
2016-08-30 12:49

I forgot to add that this is dwarf/fortress mode.
(0035823)
mrmagolor (reporter)
2016-08-30 14:35

I've seen this happen on my own in fortress mode too. No clue why it happens though, as I've seen it happen in earlier versions while playing.
(0035835)
kattybats (reporter)
2016-09-01 18:01

If I remember correctly, this is a problem I had several versions ago. Is there a migrant wave due or does it happen in the middle of the migrant wave? The crash happens when the game tries to load a unit onto the map, like a migrant, trader, or invader, and some file involved in that is missing or corrupted. If you try enough times it may eventually not try to load the corrupted unit, but your fort is likely unplayable now.
(0035839)
Quietust (reporter)
2016-09-02 15:45
edited on: 2016-09-03 08:42

It's possible that one of your DFHack plugins or scripts is responsible for the problem - can you reproduce it without using DFHack at all (starting with worldgen)?

Also, it goes without saying that you really should be using the latest version of Dwarf Fortress if you're going to report bugs, even if that means not being able to use DFHack or other 3rd-party utilities.

(0036594)
4dplanner (reporter)
2017-06-05 12:27
edited on: 2017-06-05 12:27

I have this same issue with no mods installed, much later

(0038097)
PatrikLundell (reporter)
2018-03-31 10:59
edited on: 2018-03-31 11:06

I've got a save that crashes in 0.44.08 vanilla (2 times out of 2 attempts). https://www.dropbox.com/s/0tz7syg6sd770as/region6%20-%20Nemesis%20Load%20Id.zip?dl=0 [^] as the save has bloated to a far larger size than DFFD accepts (the saves of this fortress once were small enough to fit).
After half a minutes or so a message that no more quires can be produced appears. Seconds later the nemesis load id fatal error box pops up (I don't expect the events to be related, but it gives an indication of when to expect the crash).

This world was generated with 0.44.X (don't remember the version, but that info is in the data anyway). It's been migrated between LNPs to 0.44.04 r03. Thus, DFHack and the Phoebus tile set was used. Raws were changed to lower attack triggers for (semi)megabeasts and all siege triggers were set to 1. Goblins were changed to start on glaciers exclusively.
The world is a PSV world where DFHacking added all legal plants/animals to all surface biomes, and all glaciers were made evil. During world gen dwarven civs that ought to be dead were slabbed, and during embark dead dwarven civs were added to the list of ones you can embark as. One of those was chosen. Later Orkel's alcohol syndrome work around was applied (the game was actually PLAYED in 0.44.05, with the save copied to 0.44.08 after the detection of the crash), and banana trees were modified to yield logs, and without it they never show up (separate bug report). The bug was repeated with the 0.44.05 save before I copied it to the 0.44.08 folder (and since it crashed, the save is actually still the same 0.44.05 save).
Before this even I've experience the crash twice, but they weren't repeatable. About two months before the crash a 0010681 Smash & Grab report cave-in into an adamantine pillar was made, but without actually breaching the pillar. This save can actually be used with that report by channeling out the NE corner of the spire that has obsidian fused into its top (the SE spire).
It can be mentioned that this fortress has not engaged in any raiding, so it shouldn't be related to those issues (and the fortress is the only one played in this world).

Edit: Missing info: Windows 10.1, 64 bit DF version.

(0038132)
Loci (manager)
2018-04-05 11:24

Quote from Toady One:

"Hmm, well, since the message has been basically useless for debugging for a decade, and the historical figure stores most of the important bits (skills, artifacts, relationships, etc), I'm going to try a new approach and have the game recreate the unit, and use your save as a test case. This might fail spectacularly, so no promises! Affected units would lose their non-artifact items, and perhaps certain crucial information about pets, and many of their wounds and all of their thoughts and possibly rooms and property and so forth (to the extent that wasn't broken already), but presumably that's better than destroying the entire world. However, it might also break the game in unexpected ways; I'll maintain an error log with the exact unit file that failed and see if that helps.

...

edit: looks like it was a goblin bard from unit-165.dat... which wasn't there. So it doesn't seem to be a corrupt file, but rather a missing file (or the hf had a file assigned incorrectly.) I can use that as a data point, anyway. In any case, the next version creates a new body/items for the bard and they show up properly... can't say there won't be some sort of catastrophic collapse, but the save should be usable in the next version."

( http://www.bay12forums.com/smf/index.php?topic=170101.msg7728502#msg7728502 [^] )

- Issue History
Date Modified Username Field Change
2016-08-30 11:33 Pastah New Issue
2016-08-30 11:34 Pastah Issue Monitored: Pastah
2016-08-30 11:34 Pastah Issue End Monitor: Pastah
2016-08-30 11:36 Pastah Tag Attached: crash
2016-08-30 11:36 Pastah Tag Attached: fatal
2016-08-30 12:49 Pastah Note Added: 0035822
2016-08-30 14:35 mrmagolor Note Added: 0035823
2016-09-01 18:01 kattybats Note Added: 0035835
2016-09-02 15:45 Quietust Note Added: 0035839
2016-09-03 08:42 Quietust Note Edited: 0035839 View Revisions
2017-06-05 12:27 4dplanner Note Added: 0036594
2017-06-05 12:27 4dplanner Note Edited: 0036594 View Revisions
2018-03-31 10:59 PatrikLundell Note Added: 0038097
2018-03-31 11:06 PatrikLundell Note Edited: 0038097 View Revisions
2018-04-05 11:24 Loci Note Added: 0038132
2018-04-05 11:24 Loci Status new => resolved
2018-04-05 11:24 Loci Fixed in Version => Next Version
2018-04-05 11:24 Loci Resolution open => fixed
2018-04-05 11:24 Loci Assigned To => Toady One
2018-06-03 19:05 Dwarfu Relationship added has duplicate 0001371
2018-06-03 19:05 Dwarfu Issue Monitored: Khym Chanur
2018-06-03 19:05 Dwarfu Issue Monitored: se5a
2018-06-03 19:05 Dwarfu Issue Monitored: grayfox
2018-06-03 19:05 Dwarfu Issue Monitored: 4maskwolf
2018-06-03 19:05 Dwarfu Issue Monitored: park66665
2018-06-03 19:05 Dwarfu Issue Monitored: Hedede
2018-06-03 19:05 Dwarfu Issue Monitored: braiam


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker